
QGIS Application - Bug report #19720

Qgis crash on save postgis layer

2018-08-28 08:39 AM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 27545

Description

User Feedback

I just press to save Postgis layer.

Report Details

Crash ID: 5725d17d505b8a1e7652f2cc4b17ac3e85d9f9ee

Stack Trace

SpatialIndex::MVRTree::Data::storeToByteArray :

SpatialIndex::RTree::Data::getShape :

SpatialIndex::MVRTree::Data::storeToByteArray :

SpatialIndex::RTree::createNewRTree :

SpatialIndex::RTree::createNewRTree :

QgsPointLocator::onFeatureDeleted :

QMetaObject::activate :

QgsVectorLayer::featureDeleted :

QMetaObject::activate :

QgsVectorLayerEditBuffer::featureDeleted :

QgsVectorLayerEditBuffer::commitChanges :

QgsVectorLayer::commitChanges :

QgisApp::saveActiveLayerEdits :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-29 04:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Editing to Vectors

Cannot confirm here on master/linux.

Does it happen with any postgis layer or only with a specific one?

Where does it happens in "export layer" or when saving an output within the Processing toolbox? Please add details on how replicate.

#2 - 2019-02-11 05:06 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Feedback to Closed

This was fixed in libspatialindex upstream
